---
title: "Geizhals API: Price History | Perceptlayer"
description: "Price History from Geizhals as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/geizhals/price-history
---

[APIs](https://perceptlayer.com/apis) / [Geizhals](https://perceptlayer.com/apis/geizhals) / Price History

# Geizhals: Price History

Price History from Geizhals as JSON. 1 credit per successful call.

GET `/v1/geizhals/price-history`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `product_id` | integer | Required | Any |
| `days` | integer | Optional | Any |
| `loc` | string | Optional | de, at, eu, pl, uk |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/geizhals/price-history?product_id=2194110&days=31&loc=de" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/geizhals?try=price-history#playground) with your own parameters. 1 credit per successful call; failed calls are free.
